# coding: utf-8
from openpyxl import Workbook
from app import *

wb = Workbook()
ws = wb.active

ws.title = '提名'
ws.append(['编号', '是否正式提名', '赞数', '字数'])
candidates = Candidate.query.all()
for candidate in candidates:
    ws.append([candidate.id,
        (candidate.id == 68) or (len(candidate.private) > 0 and candidate.id not in {3, 9, 62}),
        Like.query.filter_by(cid = candidate.id).count(),
        len(candidate.content)])
    
wb.save('nominations.xlsx')
